//---
// fxlibctest.streams: Control of stdin/stdout/stderr
//---

#ifndef _FT_STREAMS_H_
#define _FT_STREAMS_H_

#include <stddef.h>

typedef ssize_t console_input_function_t(void *data, size_t size);
typedef ssize_t console_output_function_t(void const *data, size_t size);

extern console_input_function_t *ft_streams_input;
extern console_output_function_t *ft_streams_output;

#endif /* _FT_STREAMS_H_ */
